
Foreman - Refactor #2232

Can we speed up loading of Host overview page.

02/20/2013 06:56 AM - Dave Whitehouse

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Web Interface   

Target version: 1.7.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1769

  

Description

I am currently seeing very slow loading of the host overview pages which I think is due to loading data for the Runtime and

Resources graphs.

I do have a large amount of reports for 7 days, for example over 9000 for a host and it takes about 10 seconds to render the page.

I've dropped the puppet agent poll period from 60 seconds to 300 seconds now to reduce the number of report updates.

However it would be better if the graphs did not block the page load or we could disable the graphs in some way, even setting the

default view to 1 day not 7 would help.

Related issues:

Has duplicate Foreman - Bug #7259: Rendering hosts/show.html.erb very slow (40s) Duplicate 08/26/2014

Associated revisions

Revision bf59cec1 - 09/22/2014 09:25 AM - Tomer Brisker

Fixes #2232 - speed up Host view via AJAX

History

#1 - 05/14/2014 06:04 PM - Brian Gupta

- Description updated

We're seeing this even when keeping only a week of reports.

#2 - 09/04/2014 04:41 AM - Tomer Brisker

- Tracker changed from Feature to Refactor

- Status changed from New to Assigned

- Assignee set to Tomer Brisker

#3 - 09/16/2014 11:05 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Target version set to 1.7.3

- Pull request https://github.com/theforeman/foreman/pull/1769 added

- Pull request deleted ()

#4 - 09/22/2014 09:30 AM - Dominic Cleal

- Category set to Web Interface

- translation missing: en.field_release set to 21

#5 - 09/22/2014 10:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
Applied in changeset bf59cec1bf7d365254ac00ed13667bac3b78fc11.

#6 - 11/18/2014 10:55 AM - Ohad Levy

- Has duplicate Bug #7259: Rendering hosts/show.html.erb very slow (40s) added
